#ifndef TMHistogrammingClusterWidthZvsPhiOuter_H
#define TMHistogrammingClusterWidthZvsPhiOuter_H

#include "TMHistogramming.h"

class TH2F;

class TMHistogrammingClusterWidthZvsPhiOuter : public TMHistogramming {
 public:
  TMHistogrammingClusterWidthZvsPhiOuter();
  virtual ~TMHistogrammingClusterWidthZvsPhiOuter();

  virtual void ProcessCluster(Float_t x, Float_t y, Float_t z, UInt_t module, UInt_t size, UInt_t widz, UInt_t widphi, UInt_t type);
	       
  virtual void Draw(TPad *pad);
  virtual void Reset();

 protected:

  TH2F   *fHistOuter;

};

#endif
